// vim: set tw=80 ts=2 sw=2 sts=2 :

import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';

import { NgLoggerModule, Level } from '@nsalaun/ng-logger';
import { RestangularModule } from 'ngx-restangular';

import { BalanceChartComponent } from './balanceChart.component';
import { CategoryChartComponent } from './categoryChart.component';
import { CategoryService } from './category.service';
import { OperationService } from './operation.service';

@NgModule({
  imports: [
    HttpModule,
    CommonModule,
    FormsModule,
    NgLoggerModule,
    RestangularModule,
  ],
  providers: [
    CategoryService,
    OperationService,
  ],
  declarations: [
    BalanceChartComponent,
    CategoryChartComponent,
  ],
  entryComponents: [
    BalanceChartComponent,
    CategoryChartComponent,
  ]
})
export class OperationModule {}
